nz-card(nzBordered="false")
  nz-descriptions([nzColumn]="3", [nzColon]="true", nzLayout="vertical")
    nz-descriptions-item(nzTitle="Workflow")
      | {{ workflow?.name | default: "-" }}
    nz-descriptions-item(nzTitle="Module")
      | {{ module?.name | default: "-" }}
    nz-descriptions-item(nzTitle="Status")
      ryax-status-tag([label]="execution.state | ryaxExecutionStateLabel", [color]="execution.state | ryaxExecutionStateColor")
    nz-descriptions-item(nzTitle="Submitted at")
      | {{ execution.submittedAt | date:'dd/MM/yyyy, HH:mm:ss' }}
    nz-descriptions-item(nzTitle="Started at")
      | {{ execution.startedAt | date:'dd/MM/yyyy, HH:mm:ss' | default: "Not started" }}
    nz-descriptions-item(nzTitle="Ended at")
      | {{ execution.endedAt | date:'dd/MM/yyyy, HH:mm:ss' | default: "Not finished" }}
    nz-descriptions-item(nzTitle="Duration")
      | {{ executionDuration | duration | default: "Not finished" }}
